Acme V01 -> V02

Discussion in 'Installation/Configuration' started by fred09, May 16, 2020.

  1. fred09

    fred09 New Member

    Hello
    I am currently using ISPConfig 3.1.15p3 on Debian Jessie
    I got emails from letsencrypt to change certificates using the ACMEv1 :
    "we will stop allowing new domains to validate using the ACMEv1 protocol. You should upgrade to an ACMEv2 compatible client ..."
    my ispconfig is update .
    How to change ACME V1 protocol ?

    Regards
    Fred
     
  2. ahrasis

    ahrasis Well-Known Member

    As advised, upgrade your LE client (which is normally old version of certbot or letsencrypt). If I am not mistaken, certbot-auto and acme.sh will auto update itself, so you don't to worry if you are already using one of them.
     
  3. fred09

    fred09 New Member

    Thanks for your feedback.
    i find this :
    https : //certbot.eff.org/lets-encrypt/debianjessie-apache.html
    - first, i think i must desacitivate SSL on ISPConfig interface for the websites ?
    - then remove cerbot then install cerbtot-auto
    -finally is it necessary to do : (4) Choose how you'd like to run Certbot ? or ispconfig will do this when i activate SSL let'sencrypt on interface ?
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    No

    No. certbot-auto is neither a new version of certbot nor a replacement for certbot. certbot-auto is just an installer to install current certbot versions and it can be used as wrapper script for certbot.

    To get a current certbot version by using the certbot-auto installer, run these commands:

    Code:
    cd /usr/local/bin
    wget https://dl.eff.org/certbot-auto
    chmod a+x certbot-auto
    ./certbot-auto --install-only
    No
     
  5. fred09

    fred09 New Member

    Thanks !
     

Share This Page